# Named

interface Named

Types can implement this interface and use the embedded Namer implementation, to satisfy API that calls for a namer.

#### Inheritors

PluginDeclaration
VisualStudioProject
VisualStudioSolution
TaskReference
JvmTestSuiteTarget
Product
Flavor
OperatingSystemFamily
Linkage
PrebuiltLibrary
MachineArchitecture
BuildType
Architecture
OperatingSystem
IvyConfiguration
Publication
TestSuite
Distribution
Task
Platform
ToolChain
ReportSpec
TargetJvmEnvironment
ModelElement
Usage
TestSuiteName
Attribute
Category
Bundling
LibraryElements
VerificationType
DocsType
GradlePluginApiVersion
SourceDirectorySet
VersionCatalogBuilder
VersionCatalog
Configuration
ConfigurationVariant
ArtifactTypeDefinition
SoftwareComponent
SoftwareComponentVariant
BuildServiceRegistration
Authentication

## Types

Namer
Link copied to clipboard
open class Namer : Namer<T>
An implementation of the namer interface for objects implementing the named interface.

## Functions

getName
Link copied to clipboard
abstract fun getName(): String
The object's name.